import route53 = require('@aws-cdk/aws-route53');
import cdk = require('@aws-cdk/cdk');
import { CertificateImportProps, CertificateProps, ICertificate } from './certificate';
export interface DnsValidatedCertificateProps extends CertificateProps {
    /**
     * Route 53 Hosted Zone used to perform DNS validation of the request.  The zone
     * must be authoritative for the domain name specified in the Certificate Request.
     */
    readonly hostedZone: route53.IHostedZone;
}
/**
 * A certificate managed by AWS Certificate Manager.  Will be automatically
 * validated using DNS validation against the specified Route 53 hosted zone.
 */
export declare class DnsValidatedCertificate extends cdk.Construct implements ICertificate {
    readonly certificateArn: string;
    private normalizedZoneName;
    private hostedZoneId;
    private domainName;
    constructor(scope: cdk.Construct, id: string, props: DnsValidatedCertificateProps);
    /**
     * Export this certificate from the stack
     */
    export(): CertificateImportProps;
    protected validate(): string[];
}
